<?php
$tdataitems = array();
$tdataitems[".searchableFields"] = array();
$tdataitems[".ShortName"] = "items";
$tdataitems[".OwnerID"] = "";
$tdataitems[".OriginalTable"] = "items";


$tdataitems[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataitems[".originalPagesByType"] = $tdataitems[".pagesByType"];
$tdataitems[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataitems[".originalPages"] = $tdataitems[".pages"];
$tdataitems[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataitems[".originalDefaultPages"] = $tdataitems[".defaultPages"];

//	field labels
$fieldLabelsitems = array();
$fieldToolTipsitems = array();
$pageTitlesitems = array();
$placeHoldersitems = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsitems["English"] = array();
	$fieldToolTipsitems["English"] = array();
	$placeHoldersitems["English"] = array();
	$pageTitlesitems["English"] = array();
	$fieldLabelsitems["English"]["item_name"] = "SPARE PART NAME";
	$fieldToolTipsitems["English"]["item_name"] = "";
	$placeHoldersitems["English"]["item_name"] = "";
	$fieldLabelsitems["English"]["ORDER_NBR"] = "ORDER NBR";
	$fieldToolTipsitems["English"]["ORDER_NBR"] = "";
	$placeHoldersitems["English"]["ORDER_NBR"] = "";
	if (count($fieldToolTipsitems["English"]))
		$tdataitems[".isUseToolTips"] = true;
}


	$tdataitems[".NCSearch"] = true;



$tdataitems[".shortTableName"] = "items";
$tdataitems[".nSecOptions"] = 0;

$tdataitems[".mainTableOwnerID"] = "";
$tdataitems[".entityType"] = 0;
$tdataitems[".connId"] = "acmc_db_at_localhost";


$tdataitems[".strOriginalTableName"] = "items";

	



$tdataitems[".showAddInPopup"] = false;

$tdataitems[".showEditInPopup"] = false;

$tdataitems[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataitems[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataitems[".listAjax"] = true;
//	temporary
$tdataitems[".listAjax"] = false;

	$tdataitems[".audit"] = false;

	$tdataitems[".locking"] = false;


$pages = $tdataitems[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataitems[".edit"] = true;
	$tdataitems[".afterEditAction"] = 1;
	$tdataitems[".closePopupAfterEdit"] = 1;
	$tdataitems[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataitems[".add"] = true;
$tdataitems[".afterAddAction"] = 1;
$tdataitems[".closePopupAfterAdd"] = 1;
$tdataitems[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataitems[".list"] = true;
}



$tdataitems[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataitems[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataitems[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataitems[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataitems[".printFriendly"] = true;
}



$tdataitems[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataitems[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataitems[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataitems[".isUseAjaxSuggest"] = true;

$tdataitems[".rowHighlite"] = true;



												

$tdataitems[".ajaxCodeSnippetAdded"] = false;

$tdataitems[".buttonsAdded"] = false;

$tdataitems[".addPageEvents"] = false;

// use timepicker for search panel
$tdataitems[".isUseTimeForSearch"] = false;


$tdataitems[".badgeColor"] = "DB7093";


$tdataitems[".allSearchFields"] = array();
$tdataitems[".filterFields"] = array();
$tdataitems[".requiredSearchFields"] = array();

$tdataitems[".googleLikeFields"] = array();
$tdataitems[".googleLikeFields"][] = "item_name";



$tdataitems[".tableType"] = "list";

$tdataitems[".printerPageOrientation"] = 0;
$tdataitems[".nPrinterPageScale"] = 100;

$tdataitems[".nPrinterSplitRecords"] = 40;

$tdataitems[".geocodingEnabled"] = false;










$tdataitems[".pageSize"] = 10;

$tdataitems[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY ORDER_NBR";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataitems[".strOrderBy"] = $tstrOrderBy;

$tdataitems[".orderindexes"] = array();
	$tdataitems[".orderindexes"][] = array(1, (1 ? "ASC" : "DESC"), "ORDER_NBR");



$tdataitems[".sqlHead"] = "SELECT ORDER_NBR,  item_name";
$tdataitems[".sqlFrom"] = "FROM items";
$tdataitems[".sqlWhereExpr"] = "";
$tdataitems[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataitems[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataitems[".arrGroupsPerPage"] = $arrGPP;

$tdataitems[".highlightSearchResults"] = true;

$tableKeysitems = array();
$tableKeysitems[] = "item_name";
$tdataitems[".Keys"] = $tableKeysitems;


$tdataitems[".hideMobileList"] = array();




//	ORDER_NBR
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ORDER_NBR";
	$fdata["GoodName"] = "ORDER_NBR";
	$fdata["ownerTable"] = "items";
	$fdata["Label"] = GetFieldLabel("items","ORDER_NBR");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ORDER_NBR";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ORDER_NBR";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataitems["ORDER_NBR"] = $fdata;
		$tdataitems[".searchableFields"][] = "ORDER_NBR";
//	item_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "item_name";
	$fdata["GoodName"] = "item_name";
	$fdata["ownerTable"] = "items";
	$fdata["Label"] = GetFieldLabel("items","item_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "item_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "item_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=30";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataitems["item_name"] = $fdata;
		$tdataitems[".searchableFields"][] = "item_name";


$tables_data["items"]=&$tdataitems;
$field_labels["items"] = &$fieldLabelsitems;
$fieldToolTips["items"] = &$fieldToolTipsitems;
$placeHolders["items"] = &$placeHoldersitems;
$page_titles["items"] = &$pageTitlesitems;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["items"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["items"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_items()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ORDER_NBR,  item_name";
$proto0["m_strFrom"] = "FROM items";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ORDER_NBR";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ORDER_NBR",
	"m_strTable" => "items",
	"m_srcTableName" => "items"
));

$proto6["m_sql"] = "ORDER_NBR";
$proto6["m_srcTableName"] = "items";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "item_name",
	"m_strTable" => "items",
	"m_srcTableName" => "items"
));

$proto8["m_sql"] = "item_name";
$proto8["m_srcTableName"] = "items";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "items";
$proto11["m_srcTableName"] = "items";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "ORDER_NBR";
$proto11["m_columns"][] = "item_name";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "items";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "items";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto14=array();
						$obj = new SQLField(array(
	"m_strName" => "ORDER_NBR",
	"m_strTable" => "items",
	"m_srcTableName" => "items"
));

$proto14["m_column"]=$obj;
$proto14["m_bAsc"] = 1;
$proto14["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto14);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="items";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_items = createSqlQuery_items();


	
		;

		

$tdataitems[".sqlquery"] = $queryData_items;



$tableEvents["items"] = new eventsBase;
$tdataitems[".hasEvents"] = false;

?>